/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.330 Revision 1.489
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.330 2008/03/05 20:37:44 dertobi123 Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.489 2011/03/13 19:19:13 graaff Exp $
4
5 13 Mar 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p302.ebuild:
6 Remove old version.
7
8 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
9 Add ~alpha/~arm/~ia64/~s390/~sh/~sparc wrt #332593
10
11 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
12 Add append-flags -mieee on sh, bug #357559
13
14 26 Feb 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334.ebuild:
15 alpha/arm/ia64/s390/sh stable wrt #355439
16
17 26 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.9.2.ebuild:
18 Marked ~ppc64 wrt #332593
19
20 20 Feb 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
21 ruby-1.8.7_p334.ebuild:
22 x86 stable wrt security bug #355439
23
24 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
25 ruby-1.8.7_p334.ebuild:
26 ppc/ppc64 stable wrt #355439
27
28 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
29 Stable on amd64 wrt bug #355439
30
31 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
32 Stable for HPPA (bug #355439).
33
34*ruby-1.8.7_p334 (19 Feb 2011)
35
36 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
37 Version bump 1.8.7 series, security bug 355439
38
39 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
40 ruby-1.9.2.ebuild:
41 Remove PROVIDE for old-style virtual/ruby per bug 265054.
42
43 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
44 Remove masked ruby 1.8.6 per bug 332597.
45
46 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
47 -ruby-1.9.2_rc2.ebuild:
48 Removing old and vulnerable ebuilds
49
50 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
51 Marking ruby-1.8.7_p302 ppc64 for bug 332957
52
53 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
54 alpha/ia64/s390/sh/sparc stable wrt #332957
55
56*ruby-1.9.2 (24 Aug 2010)
57
58 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
59 metadata.xml:
60 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
61 and x86-fbsd due to a new dependency on rdoc.
62
63 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
64 arm stable, bug #332957
65
66 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
67 ruby-1.8.7_p302.ebuild:
68 x86 stable wrt security bug #332957
69
70 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
71 Stable on amd64 wrt bug #332957
72
73 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
74 Stable for PPC (bug #332957).
75
76 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
77 Stable for HPPA (bug #332957).
78
79*ruby-1.8.7_p302 (21 Aug 2010)
80
81 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
82 +ruby-1.8.7_p302.ebuild:
83 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
84 installation path.
85
86*ruby-1.8.6_p399 (19 Aug 2010)
87
88 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
89 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
90 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
91 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
92 installation path (reported by the x86 team in bug 332597)
93
94*ruby-1.9.2_rc2-r1 (18 Aug 2010)
95
96 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
97 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
98 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
99 the rubygems loading code. Add USE flag for psych.
100
101 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
102 ruby-1.9.2_rc2.ebuild:
103 Remove two keepdir that will try to keep an empty path, closes bug
104 #333163.
105
106 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
107 Marked ~ppc (bug #332593).
108
109 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
110 ruby-1.9.2_rc2.ebuild:
111 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
112
113 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
114 ruby-1.8.7_p299.ebuild:
115 Bump eselect-ruby dependency
116
117 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
118 -ruby-1.9.1_p429.ebuild:
119 Remove ebuild that is not target for unmask anyway.
120
121 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
122 ruby-1.9.2_rc2.ebuild:
123 Try 2 to fix the berkdb 5 issue on 1.9.
124
125 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
126 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
127 ruby-1.9.2_rc2.ebuild:
128 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
129 support for adding new patchsets without bumping the revision for all the
130 old ebuilds as well.
131
132*ruby-1.9.2_rc2 (14 Jul 2010)
133
134 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
135 +ruby-1.9.2_rc2.ebuild:
136 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
137 might cause _further_ build failures as it changed slightly behaviour.
138 You're going to need to rebuild rubygems and then all the packages
139 previously installed after upgrading to this.
140
141 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
142 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
143 -ruby-1.9.1_p376.ebuild:
144 Cleanup old versions.
145
146*ruby-1.9.1_p429 (04 Jul 2010)
147
148 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
149 +ruby-1.9.1_p429.ebuild:
150 Version bump to new 1.9.1 release.
151
152*ruby-1.8.7_p299 (23 Jun 2010)
153
154 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
155 +ruby-1.8.7_p299.ebuild:
156 Version bump.
157
158 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
159 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
160 remove useless comments
161
162 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
163 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
164 ruby-1.9.1_p376.ebuild:
165 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
166 dev.gentoo.org now.
167
168 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
169 ruby-1.9.1_p376.ebuild:
170 Use the correct RUBYLIB.
171
172*ruby-1.8.7_p249-r2 (18 May 2010)
173*ruby-1.8.6_p388-r1 (18 May 2010)
174
175 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
176 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
177 ruby-1.9.1_p376.ebuild, metadata.xml:
178 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
179 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
180 add USE flags for ncurses, readline and libedit, and properly depend on
181 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
182 Emacs versions support ruby-mode themselves and it should be even more
183 updated.
184
185*ruby-1.8.7_p249-r1 (06 May 2010)
186
187 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
188 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
189 309789 by Sune Kloppenborg Jeppesen.
190
191 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
192 ruby-1.8.7_p249.ebuild:
193 Use $PVR instead of $PV in patchset names
194
195 06 May 2010; Alex Legler <a3li@gentoo.org>
196 -files/ruby-1.8.6-memory-leak.diff,
197 -files/ruby18-mkmf-parallel-install.patch,
198 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
199 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
200 Remove old version. Cleanup in files/
201
202*ruby-1.9.1_p376 (01 May 2010)
203
204 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
205 Version bump. Fixes security bugs 296052 and 300468. No longer installs
206 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
207 instead.
208
209 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
210 -ruby-1.8.7_p174-r1.ebuild:
211 Remove vulnerable ebuilds, 300468
212
213 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
214 ruby-1.8.7_p249.ebuild:
215 amd64 stable, security bug 300468
216
217 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
218 ruby-1.8.7_p249.ebuild:
219 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
220
221 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
222 Stable for HPPA (bug #300468).
223
224 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
225 Stable for HPPA (bug #300468).
226
227 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
228 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
229
230 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
231 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
232
233 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
234 ruby-1.8.6_p388.ebuild:
235 stable x86, security bug 300468
236
237 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
238 ruby-1.8.7_p249.ebuild:
239 stable x86, security bug 300468
240
241*ruby-1.8.6_p388 (10 Jan 2010)
242
243 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
244 +ruby-1.8.6_p388.ebuild:
245 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
246 version. The new ebuild also has the fix for bug 168939.
247
248*ruby-1.8.7_p249 (10 Jan 2010)
249
250 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
251 +ruby-1.8.7_p249.ebuild:
252 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
253 version
254
255 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
256 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
257
258*ruby-1.8.7_p248 (25 Dec 2009)
259
260 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
261 Version bump
262
263 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
264 Remove old version.
265
266 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
267 Remove old version.
268
269 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
270 ia64/s390/sh stable wrt #288699
271
272 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
273 stable sparc, bug 288699
274
275 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
276 arm stable, bug #288699
277
278 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
279 amd64/x86 stable, bug #288699
280
281 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
282 ruby-1.8.7_p174-r1.ebuild:
283 Stable on alpha, bug #288699
284
285 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
286 ppc stable #288699
287
288 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
289 Stable for HPPA (bug #288699).
290
291 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
292 Marked ~hppa too.
293
294*ruby-1.8.7_p174-r1 (06 Oct 2009)
295
296 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
297 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
298 eselect-ruby cleanup feature.
299
300*ruby-1.9.1_p243 (09 Sep 2009)
301
302 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
303 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
304 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
305 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
306 -files/ruby19-rubygems-proxy.patch,
307 -files/ruby-1.9.1_p129-parallelmake.patch,
308 -files/ruby19-mkmf-parallel-install.patch:
309 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
310 168939. Cleaning up old patches.
311
312*ruby-1.8.6_p383 (20 Aug 2009)
313
314 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
315 Patchlevel bump.
316
317 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
318 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
319 ruby-1.9.1_p129-r1.ebuild:
320 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
321
322 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
323 Removing vulnerable ebuild, bug 273213.
324
325 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
326 Marking ruby-1.8.6_p369 ppc for bug 273213
327
328 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
329 ruby-1.9.1_p129-r1.ebuild:
330 Prepend our library path instead of overwriting it during src_install.
331 Thanks to the reporter of bug #274824.
332
333*ruby-1.8.7_p174 (18 Jun 2009)
334
335 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
336 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
337 Replacing 187_p173 with _p174 because of a regression. Unifying the
338 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
339 patchsets.
340
341 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
342 Marking ruby-1.8.6_p369 ppc64 for bug 273213
343
344 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
345 arm/ia64/s390/sh/sparc stable wrt #273213
346
347 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
348 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
349 Removing old version, minor cleanup
350
351 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
352 -files/ruby-1.8.6-openssl.patch,
353 -files/ruby-1.8.6-shortname_constants.patch,
354 -files/ruby-1.8.6_p111-r13657.patch,
355 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
356 Removing vulnerable old Ruby version and stale patches, bug 274108.
357
358 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
359 ruby-1.8.6_p369.ebuild:
360 Stable on alpha, bug #273213
361
362 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
363 Stable for HPPA (bug #273213).
364
365 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
366 ruby-1.8.6_p369.ebuild:
367 stable x86, security bug 273213
368
369 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
370 amd64 stable, security bug 273213.
371
372*ruby-1.8.7_p173 (10 Jun 2009)
373*ruby-1.8.6_p369 (10 Jun 2009)
374
375 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
376 +ruby-1.8.7_p173.ebuild:
377 Version bumps for bug #273213.
378
379*ruby-1.9.1_p129-r1 (27 May 2009)
380
381 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
382 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
383 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
384 +files/ruby-1.9.1_p129-parallelmake.patch:
385 Revision bump, add patches 1) to make Ruby behave more similarly between
386 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
387 extensions (undefined symbols in them will cause abort at runtime 3) to
388 remove a concurrency issue when building the dl extension that could
389 result in a broken dl.so.
390
391 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
392 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
393 Don't block rdoc-2 or later (which may enter Portage one day as it's
394 needed by some Rakefiles).
395
396 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
397 ruby-1.9.1_p129.ebuild:
398 Add ~x86-fbsd keyword.
399
400 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
401 keyword ~sparc-fbsd, bug #252315
402
403*ruby-1.9.1_p129 (15 May 2009)
404
405 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
406 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
407 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
408 included in every release.
409
410 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
411 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
412 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
413 ruby-1.8.7_p160.ebuild:
414 Removing vulnerable versions (#268515), fixing license (#233747).
415
416 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
417 Stable for HPPA (bug #268515).
418
419 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
420 Adapting rubygems notice.
421
422 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
423 amd64 stable, bug #268515.
424
425 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
426 arm/ia64/s390/sh/sparc stable wrt #268515
427
428 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
429 ruby-1.8.6_p368.ebuild:
430 stable x86, security bug 268515
431
432 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
433 ruby-1.8.6_p368.ebuild:
434 Stable on alpha, bug #268515
435
436 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
437 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
438
439*ruby-1.8.7_p160 (07 May 2009)
440*ruby-1.8.6_p368 (07 May 2009)
441
442 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
443 +ruby-1.8.7_p160.ebuild:
444 Version bump as per secbug 268515. NB: These are the first ebuilds that
445 no longer use ruby-config.
446
447*ruby-1.9.1-r1 (03 Apr 2009)
448*ruby-1.8.7_p72-r11 (03 Apr 2009)
449*ruby-1.8.6_p287-r13 (03 Apr 2009)
450
451 03 Apr 2009; Alex Legler <a3li@gentoo.org>
452 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
453 +files/ruby18-mkmf-parallel-install.patch,
454 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
455 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
456 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
457 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
458 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
459 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
460 happy.
461
462*ruby-1.9.1 (21 Mar 2009)
463
464 21 Mar 2009; Alex Legler <a3li@gentoo.org>
465 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
466 +ruby-1.9.1.ebuild:
467 Adding Ruby 1.9.1 for preliminary testing
468
469 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
470 ruby-1.8.6_p287-r12.ebuild:
471 Marked ~ppc for bug #252315.
472
473 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
474 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
475 bug 261982.
476
477 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
478 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
479 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
480 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
481 Cleanup
482
483*ruby-1.8.7_p72-r10 (07 Mar 2009)
484
485 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
486 +ruby-1.8.7_p72-r10.ebuild:
487 Add a revision of ruby 1.8.7 using eselect ruby.
488
489 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
490 ~mips keyworded, bug #252315.
491
492 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
493 ruby-1.8.6_p287-r5.ebuild:
494 ppc stable, bug #260006
495
496 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
497 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
498
499 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
500 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
501 Fixing Tk USE flag test, bug 258893.
502
503 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
504 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
505
506 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
507 ruby-1.8.6_p287-r5.ebuild:
508 amd64 stable wrt security bug #260006
509
510 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
511 Stable for HPPA (bug #260006).
512
513 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
514 ruby-1.8.6_p287-r5.ebuild:
515 Stable on alpha, bug #260006
516
517*ruby-1.8.7_p72-r2 (23 Feb 2009)
518*ruby-1.8.6_p287-r12 (23 Feb 2009)
519*ruby-1.8.6_p287-r5 (23 Feb 2009)
520
521 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
522 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
523 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
524 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
525 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
526 now before compilation if Tk useflags don't match) and 230748 (adding
527 --enable-option-checking=no for newer versions of autoconf).
528
529 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
530 arm/ia64/s390/sh/sparc stable wrt #254307
531
532 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
533 ruby-1.8.6_p287-r4.ebuild:
534 Stable on alpha, bug #254307
535
536 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
537 ruby-1.8.6_p287-r11.ebuild:
538 keyword ~x86-fbsd, bug #252315
539
540 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
541 ppc stable #254307
542
543 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
544 amd64/x86 stable, bug #254307
545
546 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
547 stable ppc64, bug 254307
548
549 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
550 Stable for HPPA (bug #254307).
551
552 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
553 ruby-1.8.6_p287-r11.ebuild:
554 Marked ~hppa (bug #252315).
555
556*ruby-1.8.6_p287-r11 (11 Jan 2009)
557
558 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
559 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
560 +ruby-1.8.6_p287-r11.ebuild:
561 Backport conditional definition of missing openssl functions from ruby 1.8.7.
562 Fixes #254307.
563
564 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
565 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
566
567 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
568 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
569
570 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
571 ruby-1.8.6_p287-r10.ebuild:
572 Add ~sparc keyword, bug #252315
573
574*ruby-1.8.6_p287-r10 (23 Dec 2008)
575
576 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
577 +ruby-1.8.6_p287-r10.ebuild:
578 Version bump which switches from ruby-config to eselect-ruby. Dropped most
579 keywords since eselect-ruby does not yet have these keywords.
580
581 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
582 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
583 Revert the ruby-config changes. We can't remove them until we provide an
584 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
585 for breaking things as mentioned in bug #251833.
586
587 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
588 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
589 ruby-1.8.7_p72-r1.ebuild:
590 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
591 Thanks for the people noticing this in bug #251833.
592
593 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
594 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
595 ruby-1.8.7_p72-r1.ebuild:
596 Drop dependency on ruby-config, which will be removed from the tree. We
597 currently only have one major version of ruby in the tree (Ruby 1.8), so there
598 is no need for ruby-config at this moment. For newer versions of Ruby we will
599 use eselect-ruby, which can be found in the ruby overlay at the moment.
600
601 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
602 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
603 Use mirror://ruby in SRC_URI, fixes #237392.
604
605 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
606 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
607 -ruby-1.8.7_p72.ebuild:
608 Remove old versions. Leave one old stable version with cjk support.
609
610*ruby-1.8.6_p287-r3 (29 Nov 2008)
611
612 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
613 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
614 +ruby-1.8.6_p287-r3.ebuild:
615 Fix our expansion limit patch according to debian bug report
616 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
617 make sure people will pick up the fixed version. Thanks to Alex Legler for
618 mentioning the patch.
619
620*ruby-1.8.7_p72-r1 (26 Nov 2008)
621*ruby-1.8.6_p287-r2 (26 Nov 2008)
622
623 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
624 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
625 +ruby-1.8.7_p72-r1.ebuild:
626 Fix problem with shortname constants #247790, already fixed in upstream SVN.
627 Thanks to Alex Legler for providing the patch.
628
629 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
630 -ruby-1.8.6_p287.ebuild:
631 Remove versions that will not become stable
632
633 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
634 ruby-1.8.6_p287-r1.ebuild:
635 ppc stable, bug #225465
636
637 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
638 ruby-1.8.6_p287-r1.ebuild:
639 amd64 stable wrt security bug #225465
640
641 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
642 alpha/ia64/x86 stable wrt #225465
643
644 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
645 ruby-1.8.6_p287-r1.ebuild:
646 Sparc stable --- Security Bug #225465 --- good since late August.
647
648 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
649 Stable on ppc64; bug #225465
650
651 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
652 Stable for HPPA (bug #225465).
653
654*ruby-1.8.6_p287-r1 (29 Aug 2008)
655
656 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
657 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
658 +ruby-1.8.6_p287-r1.ebuild:
659 Fix REXML security issues, bug #236060.
660
661 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
662 Add GLEP 56 USE flag descriptions.
663
664*ruby-1.8.7_p72 (15 Aug 2008)
665
666 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
667 +ruby-1.8.7_p72.ebuild:
668 bump 1.8.7 to latest patch release
669
670*ruby-1.8.6_p287 (11 Aug 2008)
671
672 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
673 Version bump for brown paper bag relelease.
674
675 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
676 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
677 Remove broken version in favor of the just-added 1.8.6_p286
678
679*ruby-1.8.6_p286 (10 Aug 2008)
680
681 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
682 Version bump to latest released version of ruby 1.8.6. This version fixes the
683 security issues reported in #225465 and #234224. The cjk USE flag has been
684 dropped since no compatible patches have been released yet.
685
686 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
687 ruby-1.8.6_p230.ebuild:
688 drop cjk from SRC_URI as well
689
690 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
691 Drop cjk support since the most recent oniguruma patches no longer apply to
692 this version, #230111.
693
694 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
695 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
696 Try to fix the security issues reported in #225465 for ruby 1.8.6.
697 Unfortunately the official p230 has a change which causes segmentation faults
698 for applications like Rails and RSpec, so we are reverting that specific
699 change.
700
701*ruby-1.8.7_p22 (29 Jun 2008)
702
703 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
704 +ruby-1.8.7_p22.ebuild:
705 bump 1.8.7 for security fix
706
707 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
708 nevermind, don't bump this yet
709
710*ruby-1.8.6_p230 (20 Jun 2008)
711
712 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
713 version bump
714
715*ruby-1.8.7 (10 Jun 2008)
716
717 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
718 +ruby-1.8.7.ebuild:
719 bump 1.8.7 to final
720
721*ruby-1.8.7_pre2 (21 Apr 2008)
722
723 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
724 +ruby-1.8.7_pre2.ebuild:
725 Version Bump
726
727*ruby-1.8.7_pre1 (16 Apr 2008)
728
729 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
730 Version bump. Drop cjk until a new version of oniguruma appears.
731
732 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
733 amd64 stable, bug 212264
734
735 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
736 Stable for HPPA (bug #212264).
4 737
5 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org> 738 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
6 ruby-1.8.6_p114.ebuild: 739 ruby-1.8.6_p114.ebuild:
7 ppc stable, bug #212264 740 ppc stable, bug #212264
8 741

Legend:
Removed from v.1.330  
changed lines
  Added in v.1.489

  ViewVC Help
Powered by ViewVC 1.1.20